{if $isPreview}

    {$xs = $instance->getProperty('per_page_xs')}
    {$s = $instance->getProperty('per_page_s')}
    {$m = $instance->getProperty('per_page_m')}
    {$l = $instance->getProperty('per_page_lg')}

    <div>
        <h4 class="text-center my-4"><i class="bi bi-chevron-left"></i><i class="bi bi-box-seam"></i><i class="bi bi-chevron-right"></i> {$portlet->getTitle()}</h4>

        <div class="d-flex justify-content-between align-items-center p-3" style="gap:1rem;">
            {if $instance->getProperty('arrows') == true}<div><i class="bi bi-chevron-left"></div>{/if}

            {for $i = 1 to $l}
                <div class="dzm-skeleton--wrapper {if $i==2}d-none d-sm-flex{elseif $i==3}d-none d-md-flex{elseif $i==4}d-none d-lg-flex{elseif $i==5}d-none d-xl-flex{/if}">
                    <div class="dzm-skeleton dzm-skeleton--image"></div>
                    <div class="dzm-skeleton dzm-skeleton--headline"></div>
                    <div class="dzm-skeleton dzm-skeleton--text"></div>
                    <div class="dzm-skeleton dzm-skeleton--text"></div>
                    <div class="dzm-skeleton dzm-skeleton--price"></div>
                </div>
            {/for}

            {if $instance->getProperty('arrows') == true}<div><i class="bi bi-chevron-right"></div>{/if}

        </div>
        {if $instance->getProperty('pagination') == true}
            <div class="d-flex justify-content-center py-2"><div><i style="font-size:64px;" class="bi bi-reception-0"></i></div></div>
        {else}
            <div class="d-block py-3"></div>
        {/if}
    </div>
{else}
    {$blogPosts = $portlet->getNewestBlogPosts($instance)}
    {if $instance->getProperty('blockId') != ''}
        {$uid="{$instance->getProperty('blockId')}" }
    {else}
        {$uid = $instance->getUid()}
    {/if}


    <section id="{$uid}" class="splide py-0 h-100" aria-label="DZM Blog Excerpt">
        {if $instance->getProperty('amountOfPosts')|count > 0}
            <div class="splide__track py-0 h-100">
                <ul class="splide__list">
                    {foreach $blogPosts as $newsItem}
                        <li class="splide__slide d-flex justify-content-center" style="">
                            {include file='blog/preview.tpl' excerptLength={$instance->getProperty('excerpt_length')}}
                        </li>
                    {/foreach}
                </ul>
            </div>
        {/if}
    </section>
    <script>
        document.addEventListener('DOMContentLoaded', function()  {

            const splide = new Splide ('#{$uid}', {
                type: 'loop',
                focus: 0,
                perPage: '{$instance->getProperty('per_page')}',
                perMove: '{$instance->getProperty('per_move')}',
                pagination: false,
                arrows: false,
                gap: '{$instance->getProperty('slides_gap')}px',
                breakpoints: {
                    1299: {
                        perPage: {$instance->getProperty('per_page_lg')},
                        perMove: {$instance->getProperty('per_move_lg')},
                    },
                    991: {
                        perPage: {$instance->getProperty('per_page_m')},
                        perMove: {$instance->getProperty('per_move_m')},
                    },
                    767: {
                        perPage: {$instance->getProperty('per_page_s')},
                        perMove: {$instance->getProperty('per_move_s')},
                    },
                    576: {
                        perPage: {$instance->getProperty('per_page_xs')},
                        perMove: {$instance->getProperty('per_move_xs')},
                        padding: { left: 0, right: 150 },
                        {*padding: {$instance->getProperty('fixed_width_value')},*}
                    },
                    476: {
                        padding: { left: 0, right: 100 },
                    }
                },
                classes: {
                    prev: 'splide__arrow--prev dzm_blog_excerpt__arrow--prev',
                    next: 'splide__arrow--next dzm_blog_excerpt__arrow--next',
                    pagination: 'splide__pagination dzm_blog_excerpt__pagination',
                },
            });
            splide.mount();
        });
    </script>

    <style>
        .dzm_blog_excerpt__pagination {
        {$instance->getProperty('pagination_position')}: -{$instance->getProperty('pagination_margin')};
        }

        .dzm_blog_excerpt__arrow--prev {
            left: -{$instance->getProperty('arrows_distance')};
        }
        .dzm_blog_excerpt__arrow--next {
            right: -{$instance->getProperty('arrows_distance')};
        }
    </style>
{/if}